Index: trunk/examples/novice/N04/History
===================================================================
--- trunk/examples/novice/N04/History	(revision 1230)
+++ trunk/examples/novice/N04/History	(revision 1313)
@@ -1,3 +1,3 @@
-$Id: History,v 1.63 2009/10/30 15:08:39 allison Exp $
+$Id: History,v 1.65 2010/06/06 04:07:31 perl Exp $
 -------------------------------------------------------------------
 
@@ -15,4 +15,10 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
+
+04-06-10 J.Perl (exampleN04-V09-03-01)
+- Updated vis usage
+
+04-06-10 V.Ivant (exampleN04-V09-03-00)
+- Substituted QGSP -> QGSP_BERT
      
 30-10-09 John Allison (exampleN04-V09-02-00)
Index: trunk/examples/novice/N04/exampleN04.EMtest.out
===================================================================
--- trunk/examples/novice/N04/exampleN04.EMtest.out	(revision 1230)
+++ trunk/examples/novice/N04/exampleN04.EMtest.out	(revision 1313)
@@ -5,5 +5,5 @@
 
 *************************************************************
- Geant4 version Name: geant4-09-02-ref-09    (5-June-2009)
+ Geant4 version Name: geant4-09-03-ref-04    (9-April-2010)
                       Copyright : Geant4 Collaboration
                       Reference : NIM A 506 (2003), 250-303
@@ -12,6 +12,22 @@
 
 
-<<< Geant4 Physics List engine packaging library: PACK 5.4
-<<< Geant4 Physics List simulation engine: QGSP 3.3
+<<< Geant4 Physics List engine packaging library: PACK 5.5
+<<< Geant4 Physics List simulation engine: QGSP 3.4
+
+*=====================================================================
+*                                                                     
+*   The Physics list QGSP is NO LONGER SUPPORTED !   
+*   and is likely to be deleted in a future release of Geant4             
+*                                                                     
+*    We recommend you try the physics lists QGSP_BERT,
+*      this offers similar functionality for most use cases            
+*                                                                      
+*                                                                      
+*   We invite you to report your use case for, and your experience with
+*    this physics list on the Geant4 User Forum dedicated to physics   
+*    lists:                                                            
+*  http://hypernews.slac.stanford.edu/HyperNews/geant4/get/phys-list.html
+*                                                                      
+*=====================================================================*
 
 ### Adding tracking cuts for neutron  TimeCut(ns)= 10000  KinEnergyCut(MeV)= 0
@@ -66,5 +82,5 @@
 msc:   for e-    SubType= 10
       Lambda tables from 100 eV  to 10 TeV in 77 bins, spline: 1
-      RangeFactor= 0.04, step limit type: 1, lateralDisplacement: 1, skin= 3, geomFactor= 2.5
+      RangeFactor= 0.04, stepLimitType: 1, latDisplacement: 1
       ===== EM models for the G4Region  DefaultRegionForTheWorld ======
           UrbanMsc92 :     Emin=          0 eV         Emax=   10 TeV
@@ -107,5 +123,5 @@
 msc:   for proton    SubType= 10
       Lambda tables from 100 eV  to 10 TeV in 77 bins, spline: 1
-      RangeFactor= 0.2, stepLimitType: 0, latDisplacement: 1, skin= 3, geomFactor= 2.5
+      RangeFactor= 0.2, stepLimitType: 0, latDisplacement: 1
       ===== EM models for the G4Region  DefaultRegionForTheWorld ======
           UrbanMsc90 :     Emin=          0 eV         Emax=   10 TeV
@@ -133,5 +149,5 @@
 
 msc:   for GenericIon    SubType= 10
-      RangeFactor= 0.2, stepLimitType: 0, latDisplacement: 0, skin= 3, geomFactor= 2.5
+      RangeFactor= 0.2, stepLimitType: 0, latDisplacement: 0
       ===== EM models for the G4Region  DefaultRegionForTheWorld ======
           UrbanMsc90 :     Emin=          0 eV         Emax=   10 TeV
@@ -140,5 +156,5 @@
       dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
       Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
-      finalRange(mm)= 0.1, dRoverRange= 0.1, integral: 1, fluct: 1, linLossLimit= 0.15
+      finalRange(mm)= 0.1, dRoverRange= 0.1, integral: 1, fluct: 1, linLossLimit= 0.02
       Stopping Power data for 17 ion/material pairs, nuclearStopping: 1
       ===== EM models for the G4Region  DefaultRegionForTheWorld ======
@@ -199,7 +215,7 @@
 muMsc:   for mu+    SubType= 10
       Lambda tables from 100 eV  to 10 TeV in 77 bins, spline: 1
-      RangeFactor= 0.2, step limit type: 1, lateralDisplacement: 1, polarAngleLimit(deg)= 11.4592
-      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
-        WentzelVIUni :     Emin=          0 eV         Emax=   10 TeV
+      RangeFactor= 0.2, step limit type: 0, lateralDisplacement: 1, polarAngleLimit(deg)= 0
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+          UrbanMsc90 :     Emin=          0 eV         Emax=   10 TeV
 
 muIoni:   for  mu+    SubType= 2
@@ -268,5 +284,5 @@
 msc:   for pi-    SubType= 10
       Lambda tables from 100 eV  to 10 TeV in 77 bins, spline: 1
-      RangeFactor= 0.2, stepLimitType: 0, latDisplacement: 1, skin= 3, geomFactor= 2.5
+      RangeFactor= 0.2, stepLimitType: 0, latDisplacement: 1
       ===== EM models for the G4Region  DefaultRegionForTheWorld ======
           UrbanMsc90 :     Emin=          0 eV         Emax=   10 TeV
@@ -304,5 +320,4 @@
  AntiProtonInelastic  Models:   G4LEAntiProtonInelastic: Emin(GeV)=     0  Emax(GeV)= 25
                                 G4HEAntiProtonInelastic: Emin(GeV)=    20  Emax(GeV)= 100000
-          CHIPSNuclearAbsorptionAtRest
 
                      Hadronic Processes for <e->
@@ -322,5 +337,4 @@
   KaonMinusInelastic  Models:                      QGSP: Emin(GeV)=    12  Emax(GeV)= 100000
                                  G4LEKaonMinusInelastic: Emin(GeV)=     0  Emax(GeV)= 25
-          CHIPSNuclearAbsorptionAtRest
 
                      Hadronic Processes for <lambda>
@@ -348,5 +362,4 @@
   PionMinusInelastic  Models:                      QGSP: Emin(GeV)=    12  Emax(GeV)= 100000
                                  G4LEPionMinusInelastic: Emin(GeV)=     0  Emax(GeV)= 25
-          CHIPSNuclearAbsorptionAtRest
 
                      Hadronic Processes for <proton>
@@ -359,7 +372,7 @@
 Stage 1->2 : 1 isolated muon found.
 >>> Event 0
-     29 hits are stored in ExN04TrackerHitsCollection.
+     95 hits are stored in ExN04TrackerHitsCollection.
      5 hits are stored in ExN04CalorimeterHitsCollection.
-     Total energy deposition in calorimeter : 0.32558714501726 (GeV)
+     Total energy deposition in calorimeter : 0.32655288052577 (GeV)
      1 hits are stored in ExN04MuonHitsCollection.
 ### Run 1 start.
@@ -367,14 +380,14 @@
 Stage 1->2 : 1 isolated muon found.
 >>> Event 0
-     5 hits are stored in ExN04TrackerHitsCollection.
-     27 hits are stored in ExN04CalorimeterHitsCollection.
-     Total energy deposition in calorimeter : 23.59312405238 (GeV)
+     23 hits are stored in ExN04TrackerHitsCollection.
+     24 hits are stored in ExN04CalorimeterHitsCollection.
+     Total energy deposition in calorimeter : 3.8449798484351 (GeV)
      1 hits are stored in ExN04MuonHitsCollection.
 Stage 0->1 : 1 hits found in the muon chamber.
 Stage 1->2 : 1 isolated muon found.
 >>> Event 1
-     54 hits are stored in ExN04TrackerHitsCollection.
-     13 hits are stored in ExN04CalorimeterHitsCollection.
-     Total energy deposition in calorimeter : 3.6120226096048 (GeV)
+     11 hits are stored in ExN04TrackerHitsCollection.
+     14 hits are stored in ExN04CalorimeterHitsCollection.
+     Total energy deposition in calorimeter : 4.0748168340171 (GeV)
      1 hits are stored in ExN04MuonHitsCollection.
 
Index: trunk/examples/novice/N04/exampleN04.cc
===================================================================
--- trunk/examples/novice/N04/exampleN04.cc	(revision 1230)
+++ trunk/examples/novice/N04/exampleN04.cc	(revision 1313)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: exampleN04.cc,v 1.18 2009/10/30 15:08:39 allison Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: exampleN04.cc,v 1.19 2010/06/04 17:50:22 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-00 $
 //
 //
@@ -36,5 +36,5 @@
 
 #include "ExN04DetectorConstruction.hh"
-#include "QGSP.hh"
+#include "QGSP_BERT.hh"
 #include "ExN04PrimaryGeneratorAction.hh"
 #include "ExN04RunAction.hh"
@@ -69,5 +69,5 @@
   runManager->SetUserInitialization(detector);
   //
-  G4VUserPhysicsList* physics = new QGSP;
+  G4VUserPhysicsList* physics = new QGSP_BERT();
   runManager->SetUserInitialization(physics);
 
Index: trunk/examples/novice/N04/exampleN04.out
===================================================================
--- trunk/examples/novice/N04/exampleN04.out	(revision 1230)
+++ trunk/examples/novice/N04/exampleN04.out	(revision 1313)
@@ -5,5 +5,5 @@
 
 *************************************************************
- Geant4 version Name: geant4-09-02-ref-09    (5-June-2009)
+ Geant4 version Name: geant4-09-03-ref-04    (9-April-2010)
                       Copyright : Geant4 Collaboration
                       Reference : NIM A 506 (2003), 250-303
@@ -12,6 +12,22 @@
 
 
-<<< Geant4 Physics List engine packaging library: PACK 5.4
-<<< Geant4 Physics List simulation engine: QGSP 3.3
+<<< Geant4 Physics List engine packaging library: PACK 5.5
+<<< Geant4 Physics List simulation engine: QGSP 3.4
+
+*=====================================================================
+*                                                                     
+*   The Physics list QGSP is NO LONGER SUPPORTED !   
+*   and is likely to be deleted in a future release of Geant4             
+*                                                                     
+*    We recommend you try the physics lists QGSP_BERT,
+*      this offers similar functionality for most use cases            
+*                                                                      
+*                                                                      
+*   We invite you to report your use case for, and your experience with
+*    this physics list on the Geant4 User Forum dedicated to physics   
+*    lists:                                                            
+*  http://hypernews.slac.stanford.edu/HyperNews/geant4/get/phys-list.html
+*                                                                      
+*=====================================================================*
 
 ### Adding tracking cuts for neutron  TimeCut(ns)= 10000  KinEnergyCut(MeV)= 0
@@ -69,5 +85,5 @@
 msc:   for e-    SubType= 10
       Lambda tables from 100 eV  to 10 TeV in 77 bins, spline: 1
-      RangeFactor= 0.04, step limit type: 1, lateralDisplacement: 1, skin= 3, geomFactor= 2.5
+      RangeFactor= 0.04, stepLimitType: 1, latDisplacement: 1
       ===== EM models for the G4Region  DefaultRegionForTheWorld ======
           UrbanMsc92 :     Emin=          0 eV         Emax=   10 TeV
@@ -110,5 +126,5 @@
 msc:   for proton    SubType= 10
       Lambda tables from 100 eV  to 10 TeV in 77 bins, spline: 1
-      RangeFactor= 0.2, stepLimitType: 0, latDisplacement: 1, skin= 3, geomFactor= 2.5
+      RangeFactor= 0.2, stepLimitType: 0, latDisplacement: 1
       ===== EM models for the G4Region  DefaultRegionForTheWorld ======
           UrbanMsc90 :     Emin=          0 eV         Emax=   10 TeV
@@ -136,5 +152,5 @@
 
 msc:   for GenericIon    SubType= 10
-      RangeFactor= 0.2, stepLimitType: 0, latDisplacement: 0, skin= 3, geomFactor= 2.5
+      RangeFactor= 0.2, stepLimitType: 0, latDisplacement: 0
       ===== EM models for the G4Region  DefaultRegionForTheWorld ======
           UrbanMsc90 :     Emin=          0 eV         Emax=   10 TeV
@@ -143,5 +159,5 @@
       dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
       Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
-      finalRange(mm)= 0.1, dRoverRange= 0.1, integral: 1, fluct: 1, linLossLimit= 0.15
+      finalRange(mm)= 0.1, dRoverRange= 0.1, integral: 1, fluct: 1, linLossLimit= 0.02
       Stopping Power data for 17 ion/material pairs, nuclearStopping: 1
       ===== EM models for the G4Region  DefaultRegionForTheWorld ======
@@ -202,7 +218,7 @@
 muMsc:   for mu+    SubType= 10
       Lambda tables from 100 eV  to 10 TeV in 77 bins, spline: 1
-      RangeFactor= 0.2, step limit type: 1, lateralDisplacement: 1, polarAngleLimit(deg)= 11.4592
-      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
-        WentzelVIUni :     Emin=          0 eV         Emax=   10 TeV
+      RangeFactor= 0.2, step limit type: 0, lateralDisplacement: 1, polarAngleLimit(deg)= 0
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+          UrbanMsc90 :     Emin=          0 eV         Emax=   10 TeV
 
 muIoni:   for  mu+    SubType= 2
@@ -271,5 +287,5 @@
 msc:   for pi-    SubType= 10
       Lambda tables from 100 eV  to 10 TeV in 77 bins, spline: 1
-      RangeFactor= 0.2, stepLimitType: 0, latDisplacement: 1, skin= 3, geomFactor= 2.5
+      RangeFactor= 0.2, stepLimitType: 0, latDisplacement: 1
       ===== EM models for the G4Region  DefaultRegionForTheWorld ======
           UrbanMsc90 :     Emin=          0 eV         Emax=   10 TeV
@@ -307,5 +323,4 @@
  AntiProtonInelastic  Models:   G4LEAntiProtonInelastic: Emin(GeV)=     0  Emax(GeV)= 25
                                 G4HEAntiProtonInelastic: Emin(GeV)=    20  Emax(GeV)= 100000
-          CHIPSNuclearAbsorptionAtRest
 
                      Hadronic Processes for <e->
@@ -325,5 +340,4 @@
   KaonMinusInelastic  Models:                      QGSP: Emin(GeV)=    12  Emax(GeV)= 100000
                                  G4LEKaonMinusInelastic: Emin(GeV)=     0  Emax(GeV)= 25
-          CHIPSNuclearAbsorptionAtRest
 
                      Hadronic Processes for <lambda>
@@ -351,5 +365,4 @@
   PionMinusInelastic  Models:                      QGSP: Emin(GeV)=    12  Emax(GeV)= 100000
                                  G4LEPionMinusInelastic: Emin(GeV)=     0  Emax(GeV)= 25
-          CHIPSNuclearAbsorptionAtRest
 
                      Hadronic Processes for <proton>
@@ -403,7 +416,7 @@
 Stage 1->2 : 1 isolated muon found.
 >>> Event 0
-     64 hits are stored in ExN04TrackerHitsCollection.
-     29 hits are stored in ExN04CalorimeterHitsCollection.
-     Total energy deposition in calorimeter : 0.52062252114346 (GeV)
+     79 hits are stored in ExN04TrackerHitsCollection.
+     22 hits are stored in ExN04CalorimeterHitsCollection.
+     Total energy deposition in calorimeter : 0.48210533 (GeV)
      1 hits are stored in ExN04MuonHitsCollection.
 Stage 0->1 : 0 hits found in the muon chamber.
@@ -417,12 +430,12 @@
 Stage 1->2 : 1 isolated muon found.
 >>> Event 2
-     48 hits are stored in ExN04TrackerHitsCollection.
-     23 hits are stored in ExN04CalorimeterHitsCollection.
-     Total energy deposition in calorimeter : 0.45789630807974 (GeV)
+     75 hits are stored in ExN04TrackerHitsCollection.
+     20 hits are stored in ExN04CalorimeterHitsCollection.
+     Total energy deposition in calorimeter : 0.4736239236114 (GeV)
      1 hits are stored in ExN04MuonHitsCollection.
 Run terminated.
 Run Summary
   Number of events processed : 3
-  User=1.08s Real=1.11s Sys=0s
+  User=1.88s Real=1.89s Sys=0s
 G4 kernel has come to Quit state.
 
Index: trunk/examples/novice/N04/vis.mac
===================================================================
--- trunk/examples/novice/N04/vis.mac	(revision 1230)
+++ trunk/examples/novice/N04/vis.mac	(revision 1313)
@@ -8,25 +8,42 @@
 /run/verbose 2
 #
-# create empty scene
+# Use this open statement to create an OpenGL view:
+/vis/open OGL 600x600-0+0
 #
-/vis/scene/create
+# Use this open statement to create a .prim file suitable for
+# viewing in DAWN:
+#/vis/open DAWNFILE
 #
-# Create a scene handler for a specific graphics system
-# (Edit the next line(s) to choose another graphic system)
+# Use this open statement to create a .heprep file suitable for
+# viewing in HepRApp:
+#/vis/open HepRepFile
 #
-/vis/open OGLIX
+# Use this open statement to create a .wrl file suitable for
+# viewing in a VRML viewer:
+#/vis/open VRML2FILE
 #
-####/vis/open DAWNFILE
-####/vis/open OIX
+# Disable auto refresh and quieten vis messages whilst scene and
+# trajectories are established:
+/vis/viewer/set/autoRefresh false
+/vis/verbose errors
 #
-# draw scene
+# Draw geometry:
+/vis/drawVolume
 #
-/vis/viewer/set/viewpointThetaPhi 90 180 deg
+# Specify view angle:
+/vis/viewer/set/viewpointThetaPhi 90. 180.
+#
+# Specify zoom value:
 /vis/viewer/zoom 1.4
 #
-# for drawing the tracks
-# Draw trajectories at end of event, showing trajectory points as
-# markers of size 2 pixels
-/vis/scene/add/trajectories
+# Specify style (surface or wireframe):
+#/vis/viewer/set/style wireframe
+#
+# Draw coordinate axes:
+#/vis/scene/add/axes 0 0 0 1 m
+#
+# Draw smooth trajectories at end of event, showing trajectory points
+# as markers 2 pixels wide:
+/vis/scene/add/trajectories smooth
 /vis/modeling/trajectories/create/drawByCharge
 /vis/modeling/trajectories/drawByCharge-0/default/setDrawStepPts true
@@ -34,11 +51,27 @@
 # (if too many tracks cause core dump => /tracking/storeTrajectory 0)
 #
-# for drawing the hits uncomment following line
-# /vis/scene/add/hits
+# Draw hits at end of event:
+#/vis/scene/add/hits
 #
+# To draw only gammas:
+#/vis/filtering/trajectories/create/particleFilter
+#/vis/filtering/trajectories/particleFilter-0/add gamma
+#
+# To invert the above, drawing all particles except gammas,
+# keep the above two lines but also add:
+#/vis/filtering/trajectories/particleFilter-0/invert true
+#
+# Many other options are available with /vis/modeling and /vis/filtering.
+# For example, to select colour by particle ID:
+#/vis/modeling/trajectories/create/drawByParticleID
+#/vis/modeling/trajectories/drawByParticleID-0/set e- blue
+#
+# To superimpose all of the events from a given run:
 /vis/scene/endOfEventAction accumulate
 #
-# Refresh ready for run
-/vis/viewer/flush
+# Re-establish auto refreshing and verbosity:
+/vis/viewer/set/autoRefresh true
+/vis/verbose warnings
 #
-# Now ready for /run/beamOn.
+# For file-based drivers, use this to create an empty detector view:
+#/vis/viewer/flush