Index: trunk/source/physics_lists/lists/include/CVS/Entries
===================================================================
--- trunk/source/physics_lists/lists/include/CVS/Entries	(revision 1273)
+++ trunk/source/physics_lists/lists/include/CVS/Entries	(revision 1315)
@@ -1,122 +1,116 @@
-/CHIPS.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/CHIPS.icc/1.7/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/FTFC.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/FTFC.icc/1.7/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/FTFP.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/FTFP.icc/1.7/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/FTFP_BERT.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/FTFP_BERT.icc/1.3/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/FTFP_BERT_EMV.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/FTFP_BERT_EMV.icc/1.2/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/FTFP_BERT_EMX.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/FTFP_BERT_EMX.icc/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/FTFP_BERT_TRV.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/FTFP_BERT_TRV.icc/1.2/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/FTFP_EMV.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/FTFP_EMV.icc/1.6/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/FTF_BIC.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/FTF_BIC.icc/1.4/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/G4HadronInelasticQLHEP.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/G4PhysListFactory.hh/1.2/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/G4VHadronPhysics.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/HadronPhysicsCHIPS.hh/1.2/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/HadronPhysicsFTFC.hh/1.3/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/HadronPhysicsFTFP.hh/1.3/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/HadronPhysicsFTFP_BERT.hh/1.3/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/HadronPhysicsFTFP_BERT_TRV.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/HadronPhysicsFTF_BIC.hh/1.3/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/HadronPhysicsLHEP.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/HadronPhysicsLHEP_BERT.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/HadronPhysicsLHEP_BERT_HP.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/HadronPhysicsLHEP_EMV.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/HadronPhysicsLHEP_PRECO_HP.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/HadronPhysicsQGSC.hh/1.2/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/HadronPhysicsQGSC_BERT.hh/1.2/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/HadronPhysicsQGSC_CHIPS.hh/1.6/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/HadronPhysicsQGSC_EFLOW.hh/1.2/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/HadronPhysicsQGSC_QGSC.hh/1.4/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/HadronPhysicsQGSP.hh/1.4/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/HadronPhysicsQGSP_BERT.hh/1.3/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/HadronPhysicsQGSP_BERT_CHIPS.hh/1.1/Wed May 26 15:06:49 2010//Tphys-lists-V09-03-03
-/HadronPhysicsQGSP_BERT_HP.hh/1.3/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/HadronPhysicsQGSP_BERT_NOLEP.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/HadronPhysicsQGSP_BERT_TRV.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/HadronPhysicsQGSP_BIC.hh/1.2/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/HadronPhysicsQGSP_BIC_HP.hh/1.2/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/HadronPhysicsQGSP_FTFP_BERT.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/HadronPhysicsQGSP_INCL_ABLA.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/HadronPhysicsQGS_BIC.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/LBE.hh/1.2/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/LBE.icc/1.4/Thu May 27 08:12:02 2010//Tphys-lists-V09-03-03
-/LHEP.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/LHEP.icc/1.3/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/LHEP_BERT.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/LHEP_BERT.icc/1.4/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/LHEP_BERT_HP.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/LHEP_BERT_HP.icc/1.4/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/LHEP_EMV.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/LHEP_EMV.icc/1.3/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/LHEP_PRECO_HP.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/LHEP_PRECO_HP.icc/1.4/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/MaxTimeCuts.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/MinEkineCuts.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QBBC.hh/1.3/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSC.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSC.icc/1.9/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSC_BERT.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSC_BERT.icc/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSC_CHIPS.hh/1.3/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSC_CHIPS.icc/1.3/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSC_EFLOW.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSC_EFLOW.icc/1.6/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSC_EMV.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSC_EMV.icc/1.5/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSC_QGSC.hh/1.3/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSC_QGSC.icc/1.2/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP.icc/1.8/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_BERT.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_BERT.icc/1.5/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_BERT_CHIPS.hh/1.1/Wed May 26 15:06:49 2010//Tphys-lists-V09-03-03
-/QGSP_BERT_CHIPS.icc/1.1/Wed May 26 15:06:49 2010//Tphys-lists-V09-03-03
-/QGSP_BERT_DIF.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_BERT_DIF.icc/1.3/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_BERT_EMV.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_BERT_EMV.icc/1.3/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_BERT_EMX.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_BERT_EMX.icc/1.2/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_BERT_HP.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_BERT_HP.icc/1.4/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_BERT_NOLEP.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_BERT_NOLEP.icc/1.2/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_BERT_NQE.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_BERT_NQE.icc/1.3/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_BERT_TRV.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_BERT_TRV.icc/1.3/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_BIC.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_BIC.icc/1.5/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_BIC_EMY.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_BIC_EMY.icc/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_BIC_HP.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_BIC_HP.icc/1.5/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_DIF.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_DIF.icc/1.2/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_EMV.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_EMV.icc/1.7/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_EMV_NQE.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_EMV_NQE.icc/1.3/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_EMX.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_EMX.icc/1.8/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_FTFP_BERT.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_FTFP_BERT.icc/1.2/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_INCL_ABLA.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_INCL_ABLA.icc/1.3/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_NQE.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_NQE.icc/1.3/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_QEL.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGSP_QEL.icc/1.4/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGS_BIC.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/QGS_BIC.icc/1.2/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/SpecialCuts.hh/1.1/Thu Jan  7 15:50:30 2010//Tphys-lists-V09-03-03
-/G4HadronInelasticQBBC.hh/1.13/Thu May 27 08:12:15 2010//Tphys-lists-V09-03-03
+/CHIPS.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/FTFC.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/FTFP.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/FTFP_BERT.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/FTFP_BERT_EMV.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/FTFP_BERT_EMX.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/FTFP_BERT_TRV.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/FTF_BIC.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/G4PhysListFactory.hh/1.2/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/G4VHadronPhysics.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/LBE.hh/1.2/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/LBE.icc/1.4/Thu May 27 08:12:02 2010//Tgeant4-09-04-beta-cand-01
+/LHEP.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/LHEP_BERT.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/LHEP_BERT_HP.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/LHEP_EMV.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/LHEP_PRECO_HP.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/MaxTimeCuts.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/MinEkineCuts.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/QBBC.hh/1.3/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/QGSC.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/QGSC_BERT.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/QGSC_CHIPS.hh/1.3/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/QGSC_EMV.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/QGSC_QGSC.hh/1.3/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/QGSP.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_BERT.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_BERT_CHIPS.hh/1.1/Wed May 26 15:06:49 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_BERT_DIF.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_BERT_EMV.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_BERT_EMX.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_BERT_HP.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_BERT_NOLEP.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_BERT_NQE.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_BERT_TRV.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_BIC.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_BIC_EMY.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_BIC_HP.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_DIF.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_EMV.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_EMV_NQE.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_FTFP_BERT.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_INCL_ABLA.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_NQE.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_QEL.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/QGS_BIC.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/SpecialCuts.hh/1.1/Thu Jan  7 15:50:30 2010//Tgeant4-09-04-beta-cand-01
+/CHIPS.icc/1.10/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/FTFC.icc/1.8/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/FTFP.icc/1.8/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/FTFP_BERT.icc/1.6/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/FTFP_BERT_EMV.icc/1.5/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/FTFP_BERT_EMX.icc/1.4/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/FTFP_BERT_TRV.icc/1.4/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/FTF_BIC.icc/1.7/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/G4HadronInelasticQBBC.hh/1.14/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/G4HadronInelasticQLHEP.hh/1.2/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/HadronPhysicsCHIPS.hh/1.3/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/HadronPhysicsFTFC.hh/1.4/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/HadronPhysicsFTFP.hh/1.4/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/HadronPhysicsFTFP_BERT.hh/1.5/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/HadronPhysicsFTFP_BERT_TRV.hh/1.2/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/HadronPhysicsFTF_BIC.hh/1.4/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/HadronPhysicsLHEP.hh/1.2/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/HadronPhysicsLHEP_BERT.hh/1.2/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/HadronPhysicsLHEP_BERT_HP.hh/1.2/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/HadronPhysicsLHEP_EMV.hh/1.2/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/HadronPhysicsLHEP_PRECO_HP.hh/1.2/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/HadronPhysicsQGSC.hh/1.3/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/HadronPhysicsQGSC_BERT.hh/1.3/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/HadronPhysicsQGSC_CHIPS.hh/1.7/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/HadronPhysicsQGSC_EFLOW.hh/1.3/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/HadronPhysicsQGSC_QGSC.hh/1.5/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/HadronPhysicsQGSP.hh/1.5/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/HadronPhysicsQGSP_BERT.hh/1.4/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/HadronPhysicsQGSP_BERT_CHIPS.hh/1.2/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/HadronPhysicsQGSP_BERT_HP.hh/1.5/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/HadronPhysicsQGSP_BERT_NOLEP.hh/1.2/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/HadronPhysicsQGSP_BERT_TRV.hh/1.2/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/HadronPhysicsQGSP_BIC.hh/1.3/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/HadronPhysicsQGSP_BIC_HP.hh/1.3/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/HadronPhysicsQGSP_FTFP_BERT.hh/1.3/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/HadronPhysicsQGSP_INCL_ABLA.hh/1.2/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/HadronPhysicsQGS_BIC.hh/1.2/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/LHEP.icc/1.5/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/LHEP_BERT.icc/1.5/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/LHEP_BERT_HP.icc/1.5/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/LHEP_EMV.icc/1.5/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/LHEP_PRECO_HP.icc/1.5/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/QGSC.icc/1.10/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/QGSC_BERT.icc/1.3/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/QGSC_CHIPS.icc/1.5/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/QGSC_EMV.icc/1.6/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/QGSC_QGSC.icc/1.3/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/QGSP.icc/1.11/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_BERT.icc/1.7/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_BERT_CHIPS.icc/1.4/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_BERT_DIF.icc/1.4/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_BERT_EMV.icc/1.6/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_BERT_EMX.icc/1.4/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_BERT_HP.icc/1.6/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_BERT_NOLEP.icc/1.5/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_BERT_NQE.icc/1.4/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_BERT_TRV.icc/1.6/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_BIC.icc/1.7/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_BIC_EMY.icc/1.4/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_BIC_HP.icc/1.7/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_DIF.icc/1.3/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_EMV.icc/1.8/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_EMV_NQE.icc/1.4/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_FTFP_BERT.icc/1.5/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_INCL_ABLA.icc/1.5/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_NQE.icc/1.4/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/QGSP_QEL.icc/1.5/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
+/QGS_BIC.icc/1.4/Fri Jun 18 08:36:41 2010//Tgeant4-09-04-beta-cand-01
 D
Index: trunk/source/physics_lists/lists/include/CVS/Tag
===================================================================
--- trunk/source/physics_lists/lists/include/CVS/Tag	(revision 1273)
+++ trunk/source/physics_lists/lists/include/CVS/Tag	(revision 1315)
@@ -1,1 +1,1 @@
-Nphys-lists-V09-03-03
+Ngeant4-09-04-beta-cand-01