Index: trunk/source/visualization/OpenInventor/include/CVS/Entries
===================================================================
--- trunk/source/visualization/OpenInventor/include/CVS/Entries	(revision 1331)
+++ trunk/source/visualization/OpenInventor/include/CVS/Entries	(revision 1331)
@@ -0,0 +1,15 @@
+/G4OpenInventor.hh/1.9/Thu Jun 29 21:20:22 2006//Tgeant4-09-04-beta-01
+/G4OpenInventorSceneHandler.hh/1.33/Tue Mar 27 15:24:15 2007//Tgeant4-09-04-beta-01
+/G4OpenInventorTransform3D.hh/1.7/Thu Jun 29 21:20:26 2006//Tgeant4-09-04-beta-01
+/G4OpenInventorViewer.hh/1.27/Thu Jun 29 21:20:28 2006//Tgeant4-09-04-beta-01
+/G4OpenInventorWin.hh/1.3/Thu Jun 29 21:20:30 2006//Tgeant4-09-04-beta-01
+/G4OpenInventorWin32.hh/1.7/Thu Jun 29 21:20:32 2006//Tgeant4-09-04-beta-01
+/G4OpenInventorWinViewer.hh/1.10/Fri Sep 18 12:48:43 2009//Tgeant4-09-04-beta-01
+/G4OpenInventorX.hh/1.7/Thu Jun 29 21:20:36 2006//Tgeant4-09-04-beta-01
+/G4OpenInventorXt.hh/1.3/Thu Jun 29 21:20:38 2006//Tgeant4-09-04-beta-01
+/G4OpenInventorXtViewer.hh/1.15/Fri Sep 18 12:48:43 2009//Tgeant4-09-04-beta-01
+/Geant4_SoPolyhedron.h/1.6/Thu Jun 29 21:20:42 2006//Tgeant4-09-04-beta-01
+/SoG4LineSet.h/1.2/Wed Dec 13 15:49:51 2006//Tgeant4-09-04-beta-01
+/SoG4MarkerSet.h/1.2/Wed Dec 13 15:49:53 2006//Tgeant4-09-04-beta-01
+/SoG4Polyhedron.h/1.3/Mon Sep 17 16:08:00 2007//Tgeant4-09-04-beta-01
+D/HEPVis////
Index: trunk/source/visualization/OpenInventor/include/CVS/Repository
===================================================================
--- trunk/source/visualization/OpenInventor/include/CVS/Repository	(revision 1331)
+++ trunk/source/visualization/OpenInventor/include/CVS/Repository	(revision 1331)
@@ -0,0 +1,1 @@
+geant4/source/visualization/OpenInventor/include
Index: trunk/source/visualization/OpenInventor/include/CVS/Root
===================================================================
--- trunk/source/visualization/OpenInventor/include/CVS/Root	(revision 1331)
+++ trunk/source/visualization/OpenInventor/include/CVS/Root	(revision 1331)
@@ -0,0 +1,1 @@
+:ext:lgarnier@geant4.cvs.cern.ch:/cvs/Geant4
Index: trunk/source/visualization/OpenInventor/include/CVS/Tag
===================================================================
--- trunk/source/visualization/OpenInventor/include/CVS/Tag	(revision 1331)
+++ trunk/source/visualization/OpenInventor/include/CVS/Tag	(revision 1331)
@@ -0,0 +1,1 @@
+Ngeant4-09-04-beta-01
Index: trunk/source/visualization/OpenInventor/include/HEPVis/CVS/Entries
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/CVS/Entries	(revision 1331)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/CVS/Entries	(revision 1331)
@@ -0,0 +1,5 @@
+/SbGL.h/1.3/Thu Jun 29 21:20:44 2006//Tgeant4-09-04-beta-01
+/SbMath.h/1.4/Thu Jun 29 21:20:46 2006//Tgeant4-09-04-beta-01
+/SbPainter.h/1.3/Thu Jun 29 21:20:48 2006//Tgeant4-09-04-beta-01
+/SbPainterPS.h/1.3/Thu Jun 29 21:20:50 2006//Tgeant4-09-04-beta-01
+D
Index: trunk/source/visualization/OpenInventor/include/HEPVis/CVS/Entries.Log
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/CVS/Entries.Log	(revision 1331)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/CVS/Entries.Log	(revision 1331)
@@ -0,0 +1,4 @@
+A D/actions////
+A D/misc////
+A D/nodekits////
+A D/nodes////
Index: trunk/source/visualization/OpenInventor/include/HEPVis/CVS/Repository
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/CVS/Repository	(revision 1331)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/CVS/Repository	(revision 1331)
@@ -0,0 +1,1 @@
+geant4/source/visualization/OpenInventor/include/HEPVis
Index: trunk/source/visualization/OpenInventor/include/HEPVis/CVS/Root
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/CVS/Root	(revision 1331)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/CVS/Root	(revision 1331)
@@ -0,0 +1,1 @@
+:ext:lgarnier@geant4.cvs.cern.ch:/cvs/Geant4
Index: trunk/source/visualization/OpenInventor/include/HEPVis/CVS/Tag
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/CVS/Tag	(revision 1331)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/CVS/Tag	(revision 1331)
@@ -0,0 +1,1 @@
+Ngeant4-09-04-beta-01
Index: trunk/source/visualization/OpenInventor/include/HEPVis/actions/CVS/Entries
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/actions/CVS/Entries	(revision 1331)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/actions/CVS/Entries	(revision 1331)
@@ -0,0 +1,4 @@
+/SoAlternateRepAction.h/1.3/Thu Jun 29 21:20:52 2006//Tgeant4-09-04-beta-01
+/SoCounterAction.h/1.5/Thu Jun 29 21:20:54 2006//Tgeant4-09-04-beta-01
+/SoGL2PSAction.h/1.7/Wed Feb 18 10:04:25 2009//Tgeant4-09-04-beta-01
+D
Index: trunk/source/visualization/OpenInventor/include/HEPVis/actions/CVS/Repository
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/actions/CVS/Repository	(revision 1331)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/actions/CVS/Repository	(revision 1331)
@@ -0,0 +1,1 @@
+geant4/source/visualization/OpenInventor/include/HEPVis/actions
Index: trunk/source/visualization/OpenInventor/include/HEPVis/actions/CVS/Root
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/actions/CVS/Root	(revision 1331)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/actions/CVS/Root	(revision 1331)
@@ -0,0 +1,1 @@
+:ext:lgarnier@geant4.cvs.cern.ch:/cvs/Geant4
Index: trunk/source/visualization/OpenInventor/include/HEPVis/actions/CVS/Tag
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/actions/CVS/Tag	(revision 1331)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/actions/CVS/Tag	(revision 1331)
@@ -0,0 +1,1 @@
+Ngeant4-09-04-beta-01
Index: trunk/source/visualization/OpenInventor/include/HEPVis/misc/CVS/Entries
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/misc/CVS/Entries	(revision 1331)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/misc/CVS/Entries	(revision 1331)
@@ -0,0 +1,2 @@
+/SoStyleCache.h/1.6/Thu Jun 29 21:21:14 2006//Tgeant4-09-04-beta-01
+D
Index: trunk/source/visualization/OpenInventor/include/HEPVis/misc/CVS/Repository
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/misc/CVS/Repository	(revision 1331)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/misc/CVS/Repository	(revision 1331)
@@ -0,0 +1,1 @@
+geant4/source/visualization/OpenInventor/include/HEPVis/misc
Index: trunk/source/visualization/OpenInventor/include/HEPVis/misc/CVS/Root
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/misc/CVS/Root	(revision 1331)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/misc/CVS/Root	(revision 1331)
@@ -0,0 +1,1 @@
+:ext:lgarnier@geant4.cvs.cern.ch:/cvs/Geant4
Index: trunk/source/visualization/OpenInventor/include/HEPVis/misc/CVS/Tag
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/misc/CVS/Tag	(revision 1331)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/misc/CVS/Tag	(revision 1331)
@@ -0,0 +1,1 @@
+Ngeant4-09-04-beta-01
Index: trunk/source/visualization/OpenInventor/include/HEPVis/nodekits/CVS/Entries
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/nodekits/CVS/Entries	(revision 1331)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/nodekits/CVS/Entries	(revision 1331)
@@ -0,0 +1,2 @@
+/SoDetectorTreeKit.h/1.5/Thu Jun 29 21:21:16 2006//Tgeant4-09-04-beta-01
+D
Index: trunk/source/visualization/OpenInventor/include/HEPVis/nodekits/CVS/Repository
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/nodekits/CVS/Repository	(revision 1331)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/nodekits/CVS/Repository	(revision 1331)
@@ -0,0 +1,1 @@
+geant4/source/visualization/OpenInventor/include/HEPVis/nodekits
Index: trunk/source/visualization/OpenInventor/include/HEPVis/nodekits/CVS/Root
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/nodekits/CVS/Root	(revision 1331)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/nodekits/CVS/Root	(revision 1331)
@@ -0,0 +1,1 @@
+:ext:lgarnier@geant4.cvs.cern.ch:/cvs/Geant4
Index: trunk/source/visualization/OpenInventor/include/HEPVis/nodekits/CVS/Tag
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/nodekits/CVS/Tag	(revision 1331)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/nodekits/CVS/Tag	(revision 1331)
@@ -0,0 +1,1 @@
+Ngeant4-09-04-beta-01
Index: trunk/source/visualization/OpenInventor/include/HEPVis/nodes/CVS/Entries
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/nodes/CVS/Entries	(revision 1331)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/nodes/CVS/Entries	(revision 1331)
@@ -0,0 +1,8 @@
+/SoBox.h/1.3/Thu Jun 29 21:21:18 2006//Tgeant4-09-04-beta-01
+/SoCons.h/1.3/Thu Jun 29 21:21:20 2006//Tgeant4-09-04-beta-01
+/SoImageWriter.h/1.3/Thu Jun 29 21:21:38 2006//Tgeant4-09-04-beta-01
+/SoMarkerSet.h/1.3/Thu Jun 29 21:22:03 2006//Tgeant4-09-04-beta-01
+/SoTrap.h/1.4/Thu Jun 29 21:22:06 2006//Tgeant4-09-04-beta-01
+/SoTrd.h/1.3/Thu Jun 29 21:22:08 2006//Tgeant4-09-04-beta-01
+/SoTubs.h/1.3/Thu Jun 29 21:22:10 2006//Tgeant4-09-04-beta-01
+D
Index: trunk/source/visualization/OpenInventor/include/HEPVis/nodes/CVS/Repository
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/nodes/CVS/Repository	(revision 1331)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/nodes/CVS/Repository	(revision 1331)
@@ -0,0 +1,1 @@
+geant4/source/visualization/OpenInventor/include/HEPVis/nodes
Index: trunk/source/visualization/OpenInventor/include/HEPVis/nodes/CVS/Root
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/nodes/CVS/Root	(revision 1331)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/nodes/CVS/Root	(revision 1331)
@@ -0,0 +1,1 @@
+:ext:lgarnier@geant4.cvs.cern.ch:/cvs/Geant4
Index: trunk/source/visualization/OpenInventor/include/HEPVis/nodes/CVS/Tag
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/nodes/CVS/Tag	(revision 1331)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/nodes/CVS/Tag	(revision 1331)
@@ -0,0 +1,1 @@
+Ngeant4-09-04-beta-01