Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QANuANuNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QANuANuNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QANuANuNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QANuANuNuclearCrossSection.cc,v 1.1 2009/11/16 18:15:42 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QANuENuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QANuENuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QANuENuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QANuENuclearCrossSection.cc,v 1.1 2009/11/16 18:15:43 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QANuMuNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QANuMuNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QANuMuNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QANuMuNuclearCrossSection.cc,v 1.1 2009/11/16 18:15:43 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QAntiBaryonElasticCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QAntiBaryonElasticCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QAntiBaryonElasticCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QAntiBaryonElasticCrossSection.cc,v 1.2 2010/02/16 07:53:05 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QAntiBaryonNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QAntiBaryonNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QAntiBaryonNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -34,6 +34,5 @@
 // --------------------------------------------------------------------------------
 // ****************************************************************************************
-// ***** This HEADER is a property of the CHIPS hadronic package in Geant4 (M. Kosov) *****
-// *********** DO NOT MAKE ANY CHANGE without approval of Mikhail.Kossov@cern.ch **********
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 // ****************************************************************************************
 // Short description: CHIPS cross-sections for AntiBaryon(minus&zero)-nuclear interactions
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QAntiBaryonPlusNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QAntiBaryonPlusNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QAntiBaryonPlusNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -34,6 +34,5 @@
 // --------------------------------------------------------------------------------
 // ****************************************************************************************
-// ***** This HEADER is a property of the CHIPS hadronic package in Geant4 (M. Kosov) *****
-// *********** DO NOT MAKE ANY CHANGE without approval of Mikhail.Kossov@cern.ch **********
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 // ****************************************************************************************
 // Short description: CHIPS cross-sections for AntiBaryon(plus)-nuclear interactions
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QDiffractionRatio.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QDiffractionRatio.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QDiffractionRatio.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QDiffractionRatio.cc,v 1.1 2009/11/16 18:15:43 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QElectronNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QElectronNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QElectronNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QElectronNuclearCrossSection.cc,v 1.2 2010/06/02 09:08:25 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QHyperonElasticCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QHyperonElasticCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QHyperonElasticCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QHyperonElasticCrossSection.cc,v 1.1 2010/02/16 07:53:05 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QHyperonNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QHyperonNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QHyperonNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -34,6 +34,5 @@
 // --------------------------------------------------------------------------------
 // ****************************************************************************************
-// ***** This HEADER is a property of the CHIPS hadronic package in Geant4 (M. Kosov) *****
-// *********** DO NOT MAKE ANY CHANGE without approval of Mikhail.Kossov@cern.ch **********
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 // ****************************************************************************************
 // Short description: CHIPS cross-sections for Hyperon(minus&neutral)-nuclear interactions
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QHyperonPlusElasticCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QHyperonPlusElasticCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QHyperonPlusElasticCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QHyperonPlusElasticCrossSection.cc,v 1.1 2010/02/16 07:53:05 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QHyperonPlusNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QHyperonPlusNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QHyperonPlusNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -34,6 +34,5 @@
 // --------------------------------------------------------------------------------
 // ****************************************************************************************
-// ***** This HEADER is a property of the CHIPS hadronic package in Geant4 (M. Kosov) *****
-// *********** DO NOT MAKE ANY CHANGE without approval of Mikhail.Kossov@cern.ch **********
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 // ****************************************************************************************
 // Short description: CHIPS cross-sections for Hyperon(plus)-nuclear interactions
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QIonIonCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QIonIonCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QIonIonCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 19-Aug-07
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -34,6 +34,5 @@
 // --------------------------------------------------------------------------------
 // ****************************************************************************************
-// ***** This HEADER is a property of the CHIPS hadronic package in Geant4 (M. Kosov) *****
-// *********** DO NOT MAKE ANY CHANGE without approval of Mikhail.Kossov@cern.ch **********
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 // ****************************************************************************************
 // Short description: CHIPS cross-sectons for Ion-Ion interactions
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonMinusElasticCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonMinusElasticCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonMinusElasticCrossSection.cc	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QKaonMinusElasticCrossSection.cc,v 1.1 2010/02/16 07:53:05 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// $Id: G4QKaonMinusElasticCrossSection.cc,v 1.2 2010/06/14 15:55:18 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -736,4 +736,5 @@
   G4cout<<"G4QKaMiElCS::GetExchT:F="<<onlyCS<<",Z="<<tgZ<<",N="<<tgN<<",PDG="<<PDG<<G4endl;
 #endif
+  if(PDG==310 || PDG==130) PDG=-321;
   if(PDG!=-321)G4cout<<"*Warning*G4QKaonMinusElasticCrossSection::GetET:PDG="<<PDG<<G4endl;
   if(onlyCS) G4cout<<"*Warning*G4QKaonMinusElasticCrossSection::GetExT: onlyCS=1"<<G4endl;
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonMinusNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonMinusNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonMinusNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -34,6 +34,5 @@
 // --------------------------------------------------------------------------------
 // ****************************************************************************************
-// ***** This HEADER is a property of the CHIPS hadronic package in Geant4 (M. Kosov) *****
-// *********** DO NOT MAKE ANY CHANGE without approval of Mikhail.Kossov@cern.ch **********
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 // ****************************************************************************************
 // Short description: CHIPS cross-sections for kaon(minus)-nuclear interactions
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonPlusElasticCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonPlusElasticCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonPlusElasticCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QKaonPlusElasticCrossSection.cc,v 1.1 2010/02/16 07:53:05 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonPlusNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonPlusNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonPlusNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -34,6 +34,5 @@
 // --------------------------------------------------------------------------------
 // ****************************************************************************************
-// ***** This HEADER is a property of the CHIPS hadronic package in Geant4 (M. Kosov) *****
-// *********** DO NOT MAKE ANY CHANGE without approval of Mikhail.Kossov@cern.ch **********
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 // ****************************************************************************************
 // Short description: CHIPS cross-sections for kaon(plus)-nuclear interactions
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonZeroNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonZeroNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonZeroNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -34,6 +34,5 @@
 // --------------------------------------------------------------------------------
 // ****************************************************************************************
-// ***** This HEADER is a property of the CHIPS hadronic package in Geant4 (M. Kosov) *****
-// *********** DO NOT MAKE ANY CHANGE without approval of Mikhail.Kossov@cern.ch **********
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 // ****************************************************************************************
 // Short description: CHIPS cross-sections for K0-nuclear interactions [K0=(K+ + K-)/2]
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QMuonNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QMuonNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QMuonNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QMuonNuclearCrossSection.cc,v 1.2 2010/06/02 09:08:25 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNeutronCaptureRatio.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNeutronCaptureRatio.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNeutronCaptureRatio.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QNeutronCaptureRatio.cc,v 1.4 2010/04/19 12:40:56 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNeutronElasticCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNeutronElasticCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNeutronElasticCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QNeutronElasticCrossSection.cc,v 1.4 2010/04/19 12:40:56 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNeutronNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNeutronNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNeutronNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-May-09
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -34,6 +34,5 @@
 // --------------------------------------------------------------------------------
 // ***************************************************************************************
-// ***** This CLASS is a property of the CHIPS hadronic package in Geant4 (M. Kosov) *****
-// *********** DO NOT MAKE ANY CHANGE without approval of Mikhail.Kossov@cern.ch *********
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 // ***************************************************************************************
 // Short description: CHIPS cross-sections for neutron-nuclear interactions
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNuENuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNuENuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNuENuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QNuENuclearCrossSection.cc,v 1.1 2009/11/16 18:15:43 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNuMuNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNuMuNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNuMuNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QNuMuNuclearCrossSection.cc,v 1.1 2009/11/16 18:15:43 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNuNuNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNuNuNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNuNuNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QNuNuNuclearCrossSection.cc,v 1.1 2009/11/16 18:15:43 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPhotonNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPhotonNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPhotonNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -111,4 +111,5 @@
     return 0.;                         // projectile PDG=0 is a mistake (?!) @@
   }
+  if(pPDG==22 && tgZ==1 && !tgN && pMom<150.*MeV) return 0.; // Examle of pre-threshold (A)
   G4bool in=false;                     // By default the isotope must be found in the AMDB
   if(tgN!=lastN || tgZ!=lastZ || pPDG!=lastPDG)// The nucleus was not the last used isotope
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPionMinusElasticCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPionMinusElasticCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPionMinusElasticCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QPionMinusElasticCrossSection.cc,v 1.3 2010/02/16 07:53:05 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPionMinusNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPionMinusNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPionMinusNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -34,6 +34,5 @@
 // --------------------------------------------------------------------------------
 // ****************************************************************************************
-// ***** This HEADER is a property of the CHIPS hadronic package in Geant4 (M. Kosov) *****
-// *********** DO NOT MAKE ANY CHANGE without approval of Mikhail.Kossov@cern.ch **********
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 // ****************************************************************************************
 // Short description: CHIPS cross-sections for pi(minus)-nuclear interactions
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPionPlusElasticCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPionPlusElasticCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPionPlusElasticCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QPionPlusElasticCrossSection.cc,v 1.3 2010/02/16 07:53:05 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPionPlusNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPionPlusNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPionPlusNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -34,6 +34,5 @@
 // --------------------------------------------------------------------------------
 // ****************************************************************************************
-// ***** This HEADER is a property of the CHIPS hadronic package in Geant4 (M. Kosov) *****
-// *********** DO NOT MAKE ANY CHANGE without approval of Mikhail.Kossov@cern.ch **********
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 // ****************************************************************************************
 // Short description: CHIPS cross-sections for pi(plus)-nuclear interactions
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QProtonElasticCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QProtonElasticCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QProtonElasticCrossSection.cc	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QProtonElasticCrossSection.cc,v 1.3 2010/02/16 07:53:05 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// $Id: G4QProtonElasticCrossSection.cc,v 1.4 2010/06/25 09:45:53 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -1069,5 +1069,5 @@
     //         p1               p2              p3            p6
     return (lastPAR[0]*dl*dl+lastPAR[1])/(1.+lastPAR[2]/p+lastPAR[5]/p6)+
-     lastPAR[3]/(p3+lastPAR[4]/p3)+lastPAR[7]/(p4+pow((lastPAR[8]/p),lastPAR[6]));
+     lastPAR[3]/(p3+lastPAR[4]/p3)+lastPAR[7]/(p4+std::pow((lastPAR[8]/p),lastPAR[6]));
     //   p4            p5               p8                 p9             p7
   }
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QProtonNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QProtonNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QProtonNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -34,6 +34,5 @@
 // --------------------------------------------------------------------------------
 // ****************************************************************************************
-// ***** This HEADER is a property of the CHIPS hadronic package in Geant4 (M. Kosov) *****
-// *********** DO NOT MAKE ANY CHANGE without approval of Mikhail.Kossov@cern.ch **********
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 // ****************************************************************************************
 // Short description: CHIPS cross-sections for proton-nuclear interactions
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QTauNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QTauNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QTauNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QTauNuclearCrossSection.cc,v 1.2 2010/06/02 09:08:25 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QuasiFreeRatios.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QuasiFreeRatios.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QuasiFreeRatios.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QuasiFreeRatios.cc,v 1.3 2010/01/22 17:02:48 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4VQCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4VQCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4VQCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VQCrossSection.cc,v 1.1 2009/11/16 18:15:43 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //