Index: trunk/source/particles/hadrons/mesons/GNUmakefile
===================================================================
--- trunk/source/particles/hadrons/mesons/GNUmakefile	(revision 1337)
+++ trunk/source/particles/hadrons/mesons/GNUmakefile	(revision 1340)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.2 2004/06/11 14:25:23 gcosmo Exp $
+# $Id: GNUmakefile,v 1.4 2010/10/27 07:47:04 gcosmo Exp $
 # --------------------------------------------------------------
 # GNUmakefile for mesons library.  Gabriele Cosmo, 18/9/96.
Index: trunk/source/particles/hadrons/mesons/src/G4AntiBMesonZero.cc
===================================================================
--- trunk/source/particles/hadrons/mesons/src/G4AntiBMesonZero.cc	(revision 1337)
+++ trunk/source/particles/hadrons/mesons/src/G4AntiBMesonZero.cc	(revision 1340)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4AntiBMesonZero.cc,v 1.21 2009/10/09 14:34:02 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4AntiBMesonZero.cc,v 1.22 2010/10/01 02:41:43 kurasige Exp $
+// GEANT4 tag $Name: particles-V09-03-15 $
 //
 // 
@@ -66,9 +66,9 @@
 
    anInstance = new G4ParticleDefinition(
-                 name,     5.27953*GeV, 4.331e-10*MeV,          0.,
+                 name,     5.27950*GeV, 4.316e-10*MeV,          0.,
                     0,              -1,             0,
                     1,              +1,             0,
               "meson",               0,             0,        -511,
-                false,     1.530e-3*ns,          NULL,
+                false,     1.525e-3*ns,          NULL,
                 false,       "B");
   }
Index: trunk/source/particles/hadrons/mesons/src/G4AntiBsMesonZero.cc
===================================================================
--- trunk/source/particles/hadrons/mesons/src/G4AntiBsMesonZero.cc	(revision 1337)
+++ trunk/source/particles/hadrons/mesons/src/G4AntiBsMesonZero.cc	(revision 1340)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4AntiBsMesonZero.cc,v 1.19 2008/09/18 08:37:27 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4AntiBsMesonZero.cc,v 1.20 2010/10/01 02:41:43 kurasige Exp $
+// GEANT4 tag $Name: particles-V09-03-15 $
 //
 // 
@@ -66,9 +66,9 @@
 
    anInstance = new G4ParticleDefinition(
-                 name,     5.3663*GeV,   4.65e-10*MeV,          0.,
+                 name,     5.3663*GeV,   4.47e-10*MeV,          0.,
                     0,              -1,             0,
                     0,               0,             0,
               "meson",               0,             0,        -531,
-                false,     1.470e-3*ns,          NULL,
+                false,     1.472e-3*ns,          NULL,
                 false,       "Bs");
   }
Index: trunk/source/particles/hadrons/mesons/src/G4AntiDMesonZero.cc
===================================================================
--- trunk/source/particles/hadrons/mesons/src/G4AntiDMesonZero.cc	(revision 1337)
+++ trunk/source/particles/hadrons/mesons/src/G4AntiDMesonZero.cc	(revision 1340)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4AntiDMesonZero.cc,v 1.19 2008/09/18 08:37:27 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4AntiDMesonZero.cc,v 1.20 2010/10/01 02:41:43 kurasige Exp $
+// GEANT4 tag $Name: particles-V09-03-15 $
 //
 // 
@@ -66,5 +66,5 @@
 
    anInstance = new G4ParticleDefinition(
-                 name,     1.86484*GeV,  1.616e-9*MeV,          0.,
+                 name,     1.86483*GeV,  1.605e-9*MeV,          0.,
                     0,              -1,             0,
                     1,              +1,             0,
Index: trunk/source/particles/hadrons/mesons/src/G4BMesonMinus.cc
===================================================================
--- trunk/source/particles/hadrons/mesons/src/G4BMesonMinus.cc	(revision 1337)
+++ trunk/source/particles/hadrons/mesons/src/G4BMesonMinus.cc	(revision 1340)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4BMesonMinus.cc,v 1.16 2009/10/09 14:34:02 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4BMesonMinus.cc,v 1.17 2010/10/01 02:41:43 kurasige Exp $
+// GEANT4 tag $Name: particles-V09-03-15 $
 //
 // 
@@ -67,5 +67,5 @@
 
    anInstance = new G4ParticleDefinition(
-                 name,     5.27915*GeV, 4.045e-10*MeV,    -1.*eplus,
+                 name,     5.27917*GeV, 4.018e-10*MeV,    -1.*eplus,
                     0,              -1,             0,
                     1,              -1,             0,
Index: trunk/source/particles/hadrons/mesons/src/G4BMesonPlus.cc
===================================================================
--- trunk/source/particles/hadrons/mesons/src/G4BMesonPlus.cc	(revision 1337)
+++ trunk/source/particles/hadrons/mesons/src/G4BMesonPlus.cc	(revision 1340)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4BMesonPlus.cc,v 1.16 2009/10/09 14:34:02 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4BMesonPlus.cc,v 1.17 2010/10/01 02:41:43 kurasige Exp $
+// GEANT4 tag $Name: particles-V09-03-15 $
 //
 // 
@@ -67,5 +67,5 @@
 
    anInstance = new G4ParticleDefinition(
-                 name,     5.27915*GeV, 4.045e-10*MeV,   +1.*eplus,
+                 name,     5.27917*GeV, 4.018e-10*MeV,   +1.*eplus,
                     0,              -1,             0,
                     1,              +1,             0,
Index: trunk/source/particles/hadrons/mesons/src/G4BMesonZero.cc
===================================================================
--- trunk/source/particles/hadrons/mesons/src/G4BMesonZero.cc	(revision 1337)
+++ trunk/source/particles/hadrons/mesons/src/G4BMesonZero.cc	(revision 1340)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4BMesonZero.cc,v 1.21 2009/10/09 14:34:02 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4BMesonZero.cc,v 1.22 2010/10/01 02:41:43 kurasige Exp $
+// GEANT4 tag $Name: particles-V09-03-15 $
 //
 // 
@@ -66,9 +66,9 @@
 
    anInstance = new G4ParticleDefinition(
-                 name,     5.27953*GeV, 4.331e-10*MeV,          0.,
+                 name,     5.27950*GeV, 4.316e-10*MeV,          0.,
                     0,              -1,             0,
                     1,              -1,             0,
               "meson",               0,             0,         511,
-                false,     1.530e-3*ns,          NULL,
+                false,     1.525e-3*ns,          NULL,
                 false,       "B");
   }
Index: trunk/source/particles/hadrons/mesons/src/G4BsMesonZero.cc
===================================================================
--- trunk/source/particles/hadrons/mesons/src/G4BsMesonZero.cc	(revision 1337)
+++ trunk/source/particles/hadrons/mesons/src/G4BsMesonZero.cc	(revision 1340)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4BsMesonZero.cc,v 1.19 2008/09/18 08:37:27 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4BsMesonZero.cc,v 1.20 2010/10/01 02:41:43 kurasige Exp $
+// GEANT4 tag $Name: particles-V09-03-15 $
 //
 // 
@@ -66,9 +66,9 @@
 
    anInstance = new G4ParticleDefinition(
-                 name,      5.3663*GeV,  4.65e-10*MeV,          0.,
+                 name,      5.3663*GeV,  4.47e-10*MeV,          0.,
                     0,              -1,             0,
                     0,               0,             0,
               "meson",               0,             0,         531,
-                false,     1.470e-3*ns,          NULL,
+                false,     1.472e-3*ns,          NULL,
                 false,       "Bs");
   }
Index: trunk/source/particles/hadrons/mesons/src/G4DMesonMinus.cc
===================================================================
--- trunk/source/particles/hadrons/mesons/src/G4DMesonMinus.cc	(revision 1337)
+++ trunk/source/particles/hadrons/mesons/src/G4DMesonMinus.cc	(revision 1340)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4DMesonMinus.cc,v 1.14 2008/09/18 08:37:27 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4DMesonMinus.cc,v 1.15 2010/10/01 02:41:43 kurasige Exp $
+// GEANT4 tag $Name: particles-V09-03-15 $
 //
 // 
@@ -67,5 +67,5 @@
 
    anInstance = new G4ParticleDefinition(
-                 name,     1.86962*GeV,  6.37e-10*MeV,    -1.*eplus,
+                 name,     1.86960*GeV,  6.33e-10*MeV,    -1.*eplus,
                     0,              -1,             0,
                     1,              -1,             0,
Index: trunk/source/particles/hadrons/mesons/src/G4DMesonPlus.cc
===================================================================
--- trunk/source/particles/hadrons/mesons/src/G4DMesonPlus.cc	(revision 1337)
+++ trunk/source/particles/hadrons/mesons/src/G4DMesonPlus.cc	(revision 1340)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4DMesonPlus.cc,v 1.14 2008/09/18 08:37:27 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4DMesonPlus.cc,v 1.15 2010/10/01 02:41:43 kurasige Exp $
+// GEANT4 tag $Name: particles-V09-03-15 $
 //
 // 
@@ -67,5 +67,5 @@
 
    anInstance = new G4ParticleDefinition(
-                 name,     1.86962*GeV,  6.37e-10*MeV,    +1.*eplus,
+                 name,     1.86960*GeV,  6.33e-10*MeV,    +1.*eplus,
                     0,              -1,             0,
                     1,              +1,             0,
Index: trunk/source/particles/hadrons/mesons/src/G4DMesonZero.cc
===================================================================
--- trunk/source/particles/hadrons/mesons/src/G4DMesonZero.cc	(revision 1337)
+++ trunk/source/particles/hadrons/mesons/src/G4DMesonZero.cc	(revision 1340)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4DMesonZero.cc,v 1.20 2008/09/18 08:37:27 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4DMesonZero.cc,v 1.21 2010/10/01 02:41:43 kurasige Exp $
+// GEANT4 tag $Name: particles-V09-03-15 $
 //
 // 
@@ -65,5 +65,5 @@
   //             shortlived      subType    anti_encoding
    anInstance = new G4ParticleDefinition(
-                 name,     1.86484*GeV,  1.616e-9*MeV,          0.,
+                 name,     1.86483*GeV,  1.605e-9*MeV,          0.,
                     0,              -1,             0,
                     1,              -1,             0,
Index: trunk/source/particles/hadrons/mesons/src/G4DsMesonMinus.cc
===================================================================
--- trunk/source/particles/hadrons/mesons/src/G4DsMesonMinus.cc	(revision 1337)
+++ trunk/source/particles/hadrons/mesons/src/G4DsMesonMinus.cc	(revision 1340)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4DsMesonMinus.cc,v 1.14 2008/09/18 08:37:27 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4DsMesonMinus.cc,v 1.15 2010/10/01 02:41:43 kurasige Exp $
+// GEANT4 tag $Name: particles-V09-03-15 $
 //
 // 
@@ -66,5 +66,5 @@
   //             shortlived      subType    anti_encoding
    anInstance = new G4ParticleDefinition(
-                 name,     1.96849*GeV,  1.325e-9*MeV,    -1.*eplus,
+                 name,     1.96847*GeV,  1.317e-9*MeV,    -1.*eplus,
                     0,              -1,             0,
                     0,               0,             0,
Index: trunk/source/particles/hadrons/mesons/src/G4DsMesonPlus.cc
===================================================================
--- trunk/source/particles/hadrons/mesons/src/G4DsMesonPlus.cc	(revision 1337)
+++ trunk/source/particles/hadrons/mesons/src/G4DsMesonPlus.cc	(revision 1340)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4DsMesonPlus.cc,v 1.14 2008/09/18 08:37:27 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4DsMesonPlus.cc,v 1.15 2010/10/01 02:41:43 kurasige Exp $
+// GEANT4 tag $Name: particles-V09-03-15 $
 //
 // 
@@ -66,5 +66,5 @@
   //             shortlived      subType    anti_encoding
    anInstance = new G4ParticleDefinition(
-                 name,     1.96849*GeV,  1.325e-9*MeV,    +1.*eplus,
+                 name,     1.96847*GeV,  1.317e-9*MeV,    +1.*eplus,
                     0,              -1,             0,
                     0,               0,             0,
Index: trunk/source/particles/hadrons/mesons/src/G4EtaPrime.cc
===================================================================
--- trunk/source/particles/hadrons/mesons/src/G4EtaPrime.cc	(revision 1337)
+++ trunk/source/particles/hadrons/mesons/src/G4EtaPrime.cc	(revision 1340)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4EtaPrime.cc,v 1.19 2008/09/18 08:37:27 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4EtaPrime.cc,v 1.20 2010/10/01 02:41:44 kurasige Exp $
+// GEANT4 tag $Name: particles-V09-03-15 $
 //
 // 
@@ -71,5 +71,5 @@
 
    anInstance = new G4ParticleDefinition(
-                 name,    0.95766*GeV,     0.205*MeV,         0.0,
+                 name,     0.95778*GeV,     0.194*MeV,         0.0,
                     0,              -1,            +1,
                     0,               0,            +1,
Index: trunk/source/particles/hadrons/mesons/src/G4JPsi.cc
===================================================================
--- trunk/source/particles/hadrons/mesons/src/G4JPsi.cc	(revision 1337)
+++ trunk/source/particles/hadrons/mesons/src/G4JPsi.cc	(revision 1340)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4JPsi.cc,v 1.18 2008/09/18 08:37:27 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4JPsi.cc,v 1.19 2010/10/01 02:41:44 kurasige Exp $
+// GEANT4 tag $Name: particles-V09-03-15 $
 //
 // 
@@ -66,5 +66,5 @@
 
    anInstance = new G4ParticleDefinition(
-                 name,    3.096916*GeV,    0.0932*MeV,          0.,
+                 name,    3.096916*GeV,    0.0929*MeV,          0.,
                     2,              -1,            -1,
                     0,               0,            -1,
Index: trunk/source/particles/hadrons/mesons/src/G4KaonMinus.cc
===================================================================
--- trunk/source/particles/hadrons/mesons/src/G4KaonMinus.cc	(revision 1337)
+++ trunk/source/particles/hadrons/mesons/src/G4KaonMinus.cc	(revision 1340)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4KaonMinus.cc,v 1.15 2008/09/18 08:37:27 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4KaonMinus.cc,v 1.16 2010/10/01 02:41:44 kurasige Exp $
+// GEANT4 tag $Name: particles-V09-03-15 $
 //
 // 
@@ -72,9 +72,9 @@
 
    anInstance = new G4ParticleDefinition(
-                 name,    0.493677*GeV,   5.352e-14*MeV,    -1.*eplus,
+                 name,    0.493677*GeV, 5.317e-14*MeV,    -1.*eplus,
                     0,              -1,             0,
                     1,              -1,             0,
               "meson",               0,             0,        -321,
-                false,       12.3785*ns,          NULL,
+                false,       12.380*ns,          NULL,
                 false,       "kaon");
 
@@ -85,15 +85,15 @@
   G4VDecayChannel** mode = new G4VDecayChannel*[6];
   // kaon- -> mu- + anti_nu_mu
-  mode[0] = new G4PhaseSpaceDecayChannel("kaon-",0.6339,2,"mu-","anti_nu_mu");
+  mode[0] = new G4PhaseSpaceDecayChannel("kaon-",0.6355,2,"mu-","anti_nu_mu");
   // kaon- -> pi- + pi0
-  mode[1] = new G4PhaseSpaceDecayChannel("kaon-",0.2103,2,"pi-","pi0");
+  mode[1] = new G4PhaseSpaceDecayChannel("kaon-",0.2066,2,"pi-","pi0");
   // kaon- -> pi- + pi+ + pi-
   mode[2] = new G4PhaseSpaceDecayChannel("kaon-",0.0559,3,"pi-","pi+","pi-");
   // kaon- -> pi- + pi0 + pi0
-  mode[3] = new G4PhaseSpaceDecayChannel("kaon-",0.01757,3,"pi-","pi0","pi0");
+  mode[3] = new G4PhaseSpaceDecayChannel("kaon-",0.01761,3,"pi-","pi0","pi0");
   // kaon- -> pi0 + e- + anti_nu_e (Ke3)
-  mode[4] = new G4KL3DecayChannel("kaon-",0.0493,"pi0","e-","anti_nu_e");
+  mode[4] = new G4KL3DecayChannel("kaon-",0.0507,"pi0","e-","anti_nu_e");
   // kaon- -> pi0 + mu- + anti_nu_mu (Kmu3)
-  mode[5] = new G4KL3DecayChannel("kaon-",0.0330,"pi0","mu-","anti_nu_mu");
+  mode[5] = new G4KL3DecayChannel("kaon-",0.0335,"pi0","mu-","anti_nu_mu");
 
   for (G4int index=0; index <6; index++ ) table->Insert(mode[index]);
Index: trunk/source/particles/hadrons/mesons/src/G4KaonPlus.cc
===================================================================
--- trunk/source/particles/hadrons/mesons/src/G4KaonPlus.cc	(revision 1337)
+++ trunk/source/particles/hadrons/mesons/src/G4KaonPlus.cc	(revision 1340)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4KaonPlus.cc,v 1.14 2008/09/18 08:37:27 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4KaonPlus.cc,v 1.15 2010/10/01 02:41:44 kurasige Exp $
+// GEANT4 tag $Name: particles-V09-03-15 $
 //
 // 
@@ -72,9 +72,9 @@
 
    anInstance = new G4ParticleDefinition(
-                 name,    0.493677*GeV,  5.352e-14*MeV,    +1.*eplus,
+                 name,    0.493677*GeV, 5.317e-14*MeV,    +1.*eplus,
                     0,              -1,             0,
                     1,              +1,             0,
               "meson",               0,             0,         321,
-                false,       12.385*ns,          NULL,
+                false,       12.380*ns,          NULL,
                 false,       "kaon");
 
@@ -85,15 +85,15 @@
   G4VDecayChannel** mode = new G4VDecayChannel*[6];
   // kaon+ -> mu+ + nu_mu
-  mode[0] = new G4PhaseSpaceDecayChannel("kaon+",0.6339,2,"mu+","nu_mu");
+  mode[0] = new G4PhaseSpaceDecayChannel("kaon+",0.6355,2,"mu+","nu_mu");
   // kaon+ -> pi+ + pi0
-  mode[1] = new G4PhaseSpaceDecayChannel("kaon+",0.2103,2,"pi+","pi0");
+  mode[1] = new G4PhaseSpaceDecayChannel("kaon+",0.2066,2,"pi+","pi0");
   // kaon+ -> pi+ + pi+ + pi-
   mode[2] = new G4PhaseSpaceDecayChannel("kaon+",0.0559,3,"pi+","pi+","pi-");
   // kaon+ -> pi+ + pi0 + pi0
-  mode[3] = new G4PhaseSpaceDecayChannel("kaon+",0.01757,3,"pi+","pi0","pi0");
+  mode[3] = new G4PhaseSpaceDecayChannel("kaon+",0.01761,3,"pi+","pi0","pi0");
   // kaon+ -> pi0 + e+ + nu_e (Ke3)
-  mode[4] = new G4KL3DecayChannel("kaon+",0.0493,"pi0","e+","nu_e");
+  mode[4] = new G4KL3DecayChannel("kaon+",0.0507,"pi0","e+","nu_e");
   // kaon+ -> pi0 + mu+ + nu_mu (Kmu3)
-  mode[5] = new G4KL3DecayChannel("kaon+",0.0330,"pi0","mu+","nu_mu");
+  mode[5] = new G4KL3DecayChannel("kaon+",0.0335,"pi0","mu+","nu_mu");
 
   for (G4int index=0; index <6; index++ ) table->Insert(mode[index]);
Index: trunk/source/particles/hadrons/mesons/src/G4KaonZeroLong.cc
===================================================================
--- trunk/source/particles/hadrons/mesons/src/G4KaonZeroLong.cc	(revision 1337)
+++ trunk/source/particles/hadrons/mesons/src/G4KaonZeroLong.cc	(revision 1340)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4KaonZeroLong.cc,v 1.19 2008/09/18 08:37:27 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4KaonZeroLong.cc,v 1.20 2010/10/01 02:41:44 kurasige Exp $
+// GEANT4 tag $Name: particles-V09-03-15 $
 //
 // 
@@ -74,5 +74,5 @@
 
    anInstance = new G4ParticleDefinition(
-                 name,    0.497614*GeV,  1.295e-14*MeV,         0.0,
+                 name,    0.497614*GeV,  1.287e-14*MeV,         0.0,
                     0,              -1,             0,
                     1,               0,             0,
@@ -87,15 +87,15 @@
   G4VDecayChannel** mode = new G4VDecayChannel*[6];
   // kaon0L -> pi0 + pi0 + pi0
-  mode[0] = new G4PhaseSpaceDecayChannel("kaon0L",0.1983,3,"pi0","pi0","pi0");
+  mode[0] = new G4PhaseSpaceDecayChannel("kaon0L",0.1952,3,"pi0","pi0","pi0");
   // kaon0L -> pi0 + pi+ + pi-
-  mode[1] = new G4PhaseSpaceDecayChannel("kaon0L",0.1247,3,"pi0","pi+","pi-");
+  mode[1] = new G4PhaseSpaceDecayChannel("kaon0L",0.1254,3,"pi0","pi+","pi-");
   // kaon0L -> pi- + e+ + nu_e (Ke3)
-  mode[2] = new G4KL3DecayChannel("kaon0L",0.2020,"pi-","e+","nu_e");
+  mode[2] = new G4KL3DecayChannel("kaon0L",0.2027,"pi-","e+","nu_e");
   // kaon0L -> pi+ + e- + anti_nu_e (Ke3)
-  mode[3] = new G4KL3DecayChannel("kaon0L",0.2020,"pi+","e-","anti_nu_e");
+  mode[3] = new G4KL3DecayChannel("kaon0L",0.2027,"pi+","e-","anti_nu_e");
   // kaon0L -> pi- + mu+ + nu_mu (Kmu3)
-  mode[4] = new G4KL3DecayChannel("kaon0L",0.1348,"pi-","mu+","nu_mu");
+  mode[4] = new G4KL3DecayChannel("kaon0L",0.1352,"pi-","mu+","nu_mu");
   // kaon0L -> pi+ + mu- + anti_nu_mu (Kmu3)
-  mode[5] = new G4KL3DecayChannel("kaon0L",0.1348,"pi+","mu-","anti_nu_mu");
+  mode[5] = new G4KL3DecayChannel("kaon0L",0.1352,"pi+","mu-","anti_nu_mu");
 
   for (G4int index=0; index <6; index++ ) table->Insert(mode[index]);
Index: trunk/source/particles/hadrons/mesons/src/G4KaonZeroShort.cc
===================================================================
--- trunk/source/particles/hadrons/mesons/src/G4KaonZeroShort.cc	(revision 1337)
+++ trunk/source/particles/hadrons/mesons/src/G4KaonZeroShort.cc	(revision 1340)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4KaonZeroShort.cc,v 1.18 2008/09/18 08:37:27 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4KaonZeroShort.cc,v 1.19 2010/10/01 02:41:44 kurasige Exp $
+// GEANT4 tag $Name: particles-V09-03-15 $
 //
 // 
@@ -71,5 +71,5 @@
 
    anInstance = new G4ParticleDefinition(
-                 name,    0.497614*GeV,  7.397e-12*MeV,         0.0,
+                 name,    0.497614*GeV,  7.352e-12*MeV,         0.0,
                     0,              -1,             0,
                     1,               0,             0,
@@ -84,7 +84,7 @@
   G4VDecayChannel** mode = new G4VDecayChannel*[2];
   // kaon0s -> pi+ + pi-
-  mode[0] = new G4PhaseSpaceDecayChannel("kaon0S",0.6895,2,"pi+","pi-");
+  mode[0] = new G4PhaseSpaceDecayChannel("kaon0S",0.6920,2,"pi+","pi-");
   // kaon0s -> pi0 + pi0
-  mode[1] = new G4PhaseSpaceDecayChannel("kaon0S",0.3105,2,"pi0","pi0");
+  mode[1] = new G4PhaseSpaceDecayChannel("kaon0S",0.3069,2,"pi0","pi0");
 
   for (G4int index=0; index <2; index++ ) table->Insert(mode[index]);
Index: trunk/source/particles/hadrons/mesons/src/G4PionMinus.cc
===================================================================
--- trunk/source/particles/hadrons/mesons/src/G4PionMinus.cc	(revision 1337)
+++ trunk/source/particles/hadrons/mesons/src/G4PionMinus.cc	(revision 1340)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4PionMinus.cc,v 1.12 2008/09/18 08:37:27 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4PionMinus.cc,v 1.13 2010/10/01 02:41:44 kurasige Exp $
+// GEANT4 tag $Name: particles-V09-03-15 $
 //
 // 
@@ -70,9 +70,9 @@
 
    anInstance = new G4ParticleDefinition(
-                 name,    0.1395700*GeV, 2.5452e-14*MeV,    -1.*eplus,
+                 name,    0.1395701*GeV, 2.5284e-14*MeV,    -1.*eplus,
                     0,              -1,             0,
                     2,              -2,            -1,
               "meson",               0,             0,        -211,
-                false,       26.030*ns,          NULL,
+                false,       26.033*ns,          NULL,
                 false,       "pi");
 
Index: trunk/source/particles/hadrons/mesons/src/G4PionPlus.cc
===================================================================
--- trunk/source/particles/hadrons/mesons/src/G4PionPlus.cc	(revision 1337)
+++ trunk/source/particles/hadrons/mesons/src/G4PionPlus.cc	(revision 1340)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4PionPlus.cc,v 1.13 2008/09/18 08:37:27 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4PionPlus.cc,v 1.14 2010/10/01 02:41:44 kurasige Exp $
+// GEANT4 tag $Name: particles-V09-03-15 $
 //
 // 
@@ -70,9 +70,9 @@
 
    anInstance = new G4ParticleDefinition(
-                 name,    0.1395700*GeV, 2.5452e-14*MeV,    +1.*eplus,
+                 name,    0.1395701*GeV, 2.5284e-14*MeV,    +1.*eplus,
                     0,              -1,             0,
                     2,              +2,            -1,
               "meson",               0,             0,         211,
-                false,       26.030*ns,          NULL,
+                false,       26.033*ns,          NULL,
                 false,       "pi");
 
Index: trunk/source/particles/hadrons/mesons/src/G4PionZero.cc
===================================================================
--- trunk/source/particles/hadrons/mesons/src/G4PionZero.cc	(revision 1337)
+++ trunk/source/particles/hadrons/mesons/src/G4PionZero.cc	(revision 1340)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4PionZero.cc,v 1.17 2008/09/18 08:37:27 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4PionZero.cc,v 1.18 2010/10/01 02:41:44 kurasige Exp $
+// GEANT4 tag $Name: particles-V09-03-15 $
 //
 // 
@@ -72,5 +72,5 @@
 
    anInstance = new G4ParticleDefinition(
-                 name,    0.1349764*GeV,   7.9e-06*MeV,         0.0,
+                 name,   0.1349766*GeV,   7.8e-06*MeV,         0.0,
                     0,              -1,            +1,
                     2,               0,            -1,